package com.inspect.ivs.domain;

import java.io.Serializable;

public class IvsPassword implements Serializable {
   private static final long serialVersionUID = 4959471093356498447L;
   private String oldPassword;
   private String newPassword;

   public String getOldPassword() {
      return this.oldPassword;
   }

   public String getNewPassword() {
      return this.newPassword;
   }

   public void setOldPassword(String oldPassword) {
      this.oldPassword = oldPassword;
   }

   public void setNewPassword(String newPassword) {
      this.newPassword = newPassword;
   }

   public boolean equals(Object o) {
      if(o == this) {
         return true;
      } else if(!(o instanceof IvsPassword)) {
         return false;
      } else {
         IvsPassword other = (IvsPassword)o;
         if(!other.canEqual(this)) {
            return false;
         } else {
            Object this$oldPassword = this.getOldPassword();
            Object other$oldPassword = other.getOldPassword();
            if(this$oldPassword == null) {
               if(other$oldPassword != null) {
                  return false;
               }
            } else if(!this$oldPassword.equals(other$oldPassword)) {
               return false;
            }

            Object this$newPassword = this.getNewPassword();
            Object other$newPassword = other.getNewPassword();
            if(this$newPassword == null) {
               if(other$newPassword != null) {
                  return false;
               }
            } else if(!this$newPassword.equals(other$newPassword)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof IvsPassword;
   }

   public int hashCode() {
      int PRIME = 1;
      int result = 1;
      Object $oldPassword = this.getOldPassword();
      result = result * 59 + ($oldPassword == null?43:$oldPassword.hashCode());
      Object $newPassword = this.getNewPassword();
      result = result * 59 + ($newPassword == null?43:$newPassword.hashCode());
      return result;
   }

   public String toString() {
      return "IvsPassword(oldPassword=" + this.getOldPassword() + ", newPassword=" + this.getNewPassword() + ")";
   }

   public IvsPassword() {
   }

   public IvsPassword(String oldPassword, String newPassword) {
      this.oldPassword = oldPassword;
      this.newPassword = newPassword;
   }
}
